Bug 1027123 - Chromium: missing symbols
Chromium: missing symbols
Product: Fedora
Classification: Fedora
Component: re2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denis Arnaud
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2013-11-06 03:31 EST by Nils Philippsen
Modified: 2013-11-25 23:10 EST (History)
2 users (show)

See Also:
Fixed In Version: re2-20131024-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-23 22:40:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to include symbols necessary for chromium (345 bytes, patch)
2013-11-06 03:31 EST, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Nils Philippsen 2013-11-06 03:31:56 EST
Created attachment 820247 [details]
patch to include symbols necessary for chromium

Description of problem:
The re2 library doesn't export the _ZNK3re211FilteredRE210AllMatches* symbols which are used by Spot's chromium packages:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install chromium from Spot's repo (currently no F-20 version available, but the F-19 build will suffice).
2. Run it.

Actual results:
nils@gibraltar:~> chromium-browser
/usr/lib64/chromium-browser/chromium-browser: symbol lookup error: /usr/lib64/chromium-browser/chromium-browser: undefined symbol: _ZNK3re211FilteredRE210AllMatchesERKNS_11StringPieceERKSt6vectorIiSaIiEEPS6_

Expected results:

Additional info:
Spot's repo contains a patched version of the re2 package exporting this symbol (patch attached). Additionally, it adds "-pthread" to the CXXFLAGS (instead of just to LDFLAGS) and runs only the shared library tests (omitting tests on the static and debugging versions of the library). Here's the diff in the spec file:

diff --git a/re2.spec b/re2.spec
index 6a99621..6dc4649 100644
--- a/re2.spec
+++ b/re2.spec
@@ -8,6 +8,8 @@ Group:          System Environment/Libraries
 License:        BSD
 URL:            http://code.google.com/p/%{name}/
 Source0:        http://re2.googlecode.com/files/%{name}-%{version}.tgz
+# Chromium needs the FilteredRE2 symbols to be global
+Patch0:                re2-global-FilteredRE2-symbols.patch
 BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
@@ -36,13 +38,14 @@ you will need to install %{name}-devel.
 %setup -q -n %{name}
+%patch0 -p1 -b .global-fix
 # The -pthread flag issue has been submitted upstream:
 # http://groups.google.com/forum/?fromgroups=#!topic/re2-dev/bkUDtO5l6Lo
 # The RPM macro for the linker flags does not exist on EPEL
 %{!?__global_ldflags: %global __global_ldflags -Wl,-z,relro}
+CXXFLAGS="${CXXFLAGS:-%optflags} -pthread"
 LDFLAGS="${LDFLAGS:-%__global_ldflags} -pthread"
 make %{?_smp_mflags} CXXFLAGS="$CXXFLAGS" LDFLAGS="$LDFLAGS" includedir=%{_includedir} libdir=%{_libdir}
@@ -54,7 +57,7 @@ make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT includedir=%{_included
 find $RPM_BUILD_ROOT -name 'lib%{name}.a' -exec rm -f {} \;
-make %{?_smp_mflags} test
+make %{?_smp_mflags} shared-test
@@ -73,8 +76,8 @@ rm -rf $RPM_BUILD_ROOT
-* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20130115-3
-- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
+* Sun Jun  2 2013 Tom Callaway <spot@fedoraproject.org> - 20130115-3
+- fix FilteredRE2 symbols to be global in the shared library
 * Sun Feb 17 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> 20130115-2
 - Took into account the feedback from review request (#868578).
Comment 1 Fedora Update System 2013-11-13 12:25:46 EST
re2-20131024-1.fc19 has been submitted as an update for Fedora 19.
Comment 2 Fedora Update System 2013-11-13 12:25:59 EST
re2-20131024-1.fc20 has been submitted as an update for Fedora 20.
Comment 3 Fedora Update System 2013-11-13 12:26:11 EST
re2-20131024-1.fc18 has been submitted as an update for Fedora 18.
Comment 4 Fedora Update System 2013-11-14 14:15:12 EST
Package re2-20131024-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing re2-20131024-1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-23 22:40:50 EST
re2-20131024-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-25 23:06:53 EST
re2-20131024-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-25 23:10:42 EST
re2-20131024-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.